For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connections

Get list of Connections

get

Returns a paginated list of Backup & Archive Connections with customizable page size

Autorizaciones
AuthorizationstringRequerido

Bearer <access_token>

Parámetros de consulta
searchstringOpcional

Search term (max 80)

pagenumberRequerido

Number of page (min 1)

Example: 1
limitnumberRequerido

Limit of entities per page (min 1, max 2000)

Example: 50
Respuestas
200

Returns a paginated list of Backup & Archive Connections

application/json
totalnumberRequerido

Total number of entities.

Example: 1
get/api/v1/connections
GET /api/v1/connections?page=1&limit=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "items": [
    {
      "id": 1,
      "externalId": 1,
      "name": "MyOrg",
      "userName": "example@email.com",
      "salesforceOrgType": "PRODUCTION"
    }
  ]
}

Get Connection by Id

get

Returns the Backup & Archive Connection by Id

Autorizaciones
AuthorizationstringRequerido

Bearer <access_token>

Parámetros de ruta
connectionIdnumberRequerido
Respuestas
200

Returns the Backup & Archive Connection by Id

application/json
idnumberRequeridoExample: 1
externalIdnumberRequeridoExample: 1
namestringRequerido

Connection name

Example: MyOrg
userFullNamestringRequerido

Full name of user for authenticating the connection.

Example: John Doe
userNamestringRequerido

Username for authenticating the connection.

Example: example@email.com
salesforceOrgIdstringRequerido

Salesforce organization ID

Example: 12ABC34567892DEFGC
salesforceOrgTypestring · enumRequerido

Salesforce organization type: SANDBOX or PRODUCTION

Example: PRODUCTIONValores posibles:
get/api/v1/connections/{connectionId}
GET /api/v1/connections/{connectionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "externalId": 1,
  "name": "MyOrg",
  "userFullName": "John Doe",
  "userName": "example@email.com",
  "salesforceOrgId": "12ABC34567892DEFGC",
  "salesforceOrgType": "PRODUCTION"
}

Get Connection Id by Salesforce organization Id

get

Returns the Backup & Archive Connection Id by Salesforce organization Id

Autorizaciones
AuthorizationstringRequerido

Bearer <access_token>

Parámetros de ruta
salesforceOrgIdstringRequerido

Salesforce organization Id

Example: 12ABC34567892DEFGC
Respuestas
200

Returns the Backup & Archive Connection

application/json
connectionIdnumberRequerido
get/api/v1/connections/connectionId/{salesforceOrgId}
GET /api/v1/connections/connectionId/{salesforceOrgId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "connectionId": 1
}

Última actualización

¿Te fue útil?